aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorFernando ApesteguĂ­a <fernape@FreeBSD.org>2023-09-21 12:46:10 +0000
committerFernando ApesteguĂ­a <fernape@FreeBSD.org>2024-01-20 18:47:41 +0000
commitd9fc94dd9d4227cd78b4f40a0e614c64ca1bbaa8 (patch)
treeeb8d041db89b7570787cbc8086756165c434044b
parent26231b1d6fb661de0d08659f8cb7335d2f0dce4f (diff)
downloadports-d9fc94dd9d4227cd78b4f40a0e614c64ca1bbaa8.tar.gz
ports-d9fc94dd9d4227cd78b4f40a0e614c64ca1bbaa8.zip
Scripts/qa.sh: fine tune USES=ssl recommendation
Try to avoid the "you need USES=ssl" in ports that provide a libssl.so or libcrypto.so libraries themselves like security/openssl or security/libressl. PR: 270035 Approved by: portmgr (mat@) Differential Revision: https://reviews.freebsd.org/D41973
-rw-r--r--Mk/Scripts/qa.sh12
1 files changed, 8 insertions, 4 deletions
diff --git a/Mk/Scripts/qa.sh b/Mk/Scripts/qa.sh
index ddb9ce09e0db..c4b68b67d2c8 100644
--- a/Mk/Scripts/qa.sh
+++ b/Mk/Scripts/qa.sh
@@ -116,6 +116,7 @@ baselibs() {
local found_openssl
local file
[ "${PKGBASE}" = "pkg" -o "${PKGBASE}" = "pkg-devel" ] && return
+
while read -r f; do
case ${f} in
File:\ .*)
@@ -136,10 +137,13 @@ baselibs() {
done <<-EOF
$(list_stagedir_elfs -exec readelf -d {} + 2>/dev/null)
EOF
- if [ -z "${USESSSL}" -a -n "${found_openssl}" ]; then
- warn "you need USES=ssl"
- elif [ -n "${USESSSL}" -a -z "${found_openssl}" ]; then
- warn "you may not need USES=ssl"
+
+ if ! list_stagedir_elfs | egrep -q 'lib(crypto|ssl).so*'; then
+ if [ -z "${USESSSL}" -a -n "${found_openssl}" ]; then
+ warn "you need USES=ssl"
+ elif [ -n "${USESSSL}" -a -z "${found_openssl}" ]; then
+ warn "you may not need USES=ssl"
+ fi
fi
return ${rc}
}